# [API](@id API)

## [Hilbert Spaces](@id API: Hilbert Spaces)

```@docs
HilbertSpace
```

```@docs
ProductSpace
```

```@docs
FockSpace
```

```@docs
NLevelSpace
```

```@docs
ClusterSpace
```

```@docs
⊗
```

```@docs
tensor
```

```@docs
PauliSpace
```

```@docs
Pauli
```

```@docs
SpinSpace
```

```@docs
Spin
```

## [q-Numbers](@id API: Operators)

```@docs
QSym
```

```@docs
QTerm
```

```@docs
@qnumbers
```

```@docs
Destroy
```

```@docs
Create
```

```@docs
Transition
```


## [Mean field](@id API: Meanfield)

```@docs
meanfield
```

```@docs
commutator
```

```@docs
acts_on
```

```@docs
MeanfieldEquations
```

## [Symbolic Numbers](@id API: Symbolic numbers)

```@docs
CNumber
```

```@docs
Parameter
```

```@docs
cnumbers
```

```@docs
cnumber
```

```@docs
@cnumbers
```

```@docs
RNumber
```

```@docs
RealParameter
```

```@docs
rnumbers
```

```@docs
rnumber
```

```@docs
@rnumbers
```

## [Average](@id API: Average)

```@docs
average
```

```@docs
cumulant_expansion
```

```@docs
cumulant
```

```@docs
get_order
```

## [Correlation functions](@id API: correlation)

```@docs
CorrelationFunction
```

```@docs
Spectrum
```

```@docs
correlation_u0
```

```@docs
correlation_p0
```

## [Utility functions](@id API: Utils)

```@docs
find_missing
```

```@docs
find_operators
```

```@docs
complete
```

```@docs
complete!
```

```@docs
unique_ops
```

```@docs
unique_ops!
```

```@docs
fundamental_operators
```

```@docs
transition_superscript
```

```@docs
to_numeric
```

```@docs
numeric_average
```

```@docs
initial_values
```

```@docs
get_solution
```

## [Symbolic Summations](@id API: Sums)

```@docs
Index
```

```@docs
IndexedOperator
```

```@docs
IndexedVariable
```

```@docs
DoubleIndexedVariable
```

```@docs
SingleSum
```

```@docs
DoubleSum
```

```@docs
change_index
```

```@docs
insert_index
```

```@docs
SpecialIndexedTerm
```

```@docs
reorder
```

```@docs
IndexedAverageSum
```

```@docs
IndexedAverageDoubleSum
```

```@docs
NumberedOperator
```

```@docs
evaluate
```

```@docs
scale
```

```@docs
value_map
```

```@docs
indexed_complete
```

```@docs
split_sums
```

```@docs
find_missing_sums
```

```@docs
IndexedCorrelationFunction
```

```@docs
indexed_complete!
```

```@docs
evalME
```

```@docs
scaleME
```

```@docs
indexed_meanfield
```

```@docs
subst_reds
```


## [Measurement Backaction](@id API: Measurement Backaction)

```@docs
MeanfieldNoiseEquations
```

```@docs
IndexedMeanfieldNoiseEquations
```